## dochelp 0.1.2

=== Makefile ===
############################################################################
#  Copyright © 2012-2014 Mehdi Dogguy <mehdi@debian.org>                   #
#                                                                          #
#  This file is part of Dochelp.                                           #
#                                                                          #
#  Dochelp is free software: you can redistribute it and/or modify it      #
#  under the terms of the GNU General Public License as published by the   #
#  Free Software Foundation, either version 3 of the License, or (at your  #
#  option) any later version.                                              #
#                                                                          #
#  Dochelp is distributed in the hope that it will be useful, but WITHOUT  #
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or   #
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   #
#  for more details.                                                       #
#                                                                          #
#  You should have received a copy of the GNU General Public License       #
#  along with Dochelp.  If not, see <http://www.gnu.org/licenses/>.        #
############################################################################

# Configuration
NAME := dochelp
PREFIX := /usr/local
DESTDIR:=

# Auto-detection
ifeq ($(OCAMLBEST),)
HAS_OPT := $(shell if which ocamlopt > /dev/null; then echo yes; fi)
else ifeq ($(OCAMLBEST),native)
HAS_OPT := yes
else
HAS_OPT :=
endif
OCAML_STDLIB_DIR ?= $(DESTDIR)/$(shell /usr/bin/ocamlc -where)

CLASSIC := $(if $(INSIDE_EMACS), -classic-display)
ARCH := $(if $(HAS_OPT),native,byte)
OCAMLBUILD := ocamlbuild$(CLASSIC)$(if $(HAS_OPT),, -byte-plugin)
OCAMLBUILD_ENV :=

# Build
TARGETS := src/$(NAME).$(ARCH)

# C stubs magic for bytecode
export CAML_LD_LIBRARY_PATH=$(CURDIR)/_build/src

# Installation
BINDIR := $(PREFIX)/bin

all: build

build:
	$(OCAMLBUILD_ENV) $(OCAMLBUILD) $(TARGETS)

typerex: OCAMLBUILD_ENV := OCAMLFIND_COMMANDS='ocamlc=ocp-ocamlc ocamlopt=ocp-ocamlopt'
typerex: build

clean:
	$(OCAMLBUILD) -clean

headers:
	headache -r -c .headache/config -h .headache/header Makefile \
		$(wildcard *.ml src/*.ml src/*.mli src/*.mly src/*.mll src/*.c media/*.js media/styles.css)

install:
	install -d $(BINDIR)
	install _build/src/$(NAME).$(ARCH) $(BINDIR)/$(NAME)
ifeq ($(HAS_OPT),)
	install -d $(OCAML_STDLIB_DIR)/stublibs
	install _build/src/dlldochelp.so $(OCAML_STDLIB_DIR)/stublibs/dlldochelp.so
endif
	install -d $(PREFIX)/share/applications/
	install dochelp.desktop $(PREFIX)/share/applications/

=== debian/changelog ===
dochelp (0.1.2) unstable; urgency=medium

  * Handle errors more gracefully.
    - Print a summary of the error.
    - Do not fail on update.
    - Fail in interactive use.
  * Do not require a newline character at the end of a field value
    (Closes: #747276).

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 May 2014 20:43:18 +0200

dochelp (0.1.1) unstable; urgency=medium

  * Specify DESTDIR in order to install .so files in the right place.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 May 2014 20:31:49 +0200

dochelp (0.1) unstable; urgency=medium

  * Initial Release (Closes: #686664)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 04 May 2014 02:42:07 +0200

=== debian/control ===
Source: dochelp
Priority: optional
Maintainer: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9.6~),
 ocaml-findlib,
 libpcre-ocaml-dev,
 libfileutils-ocaml-dev,
 libtyxml-ocaml-dev (>= 2.1-1~),
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.9.3
Section: doc
Homepage: http://dochelp.debian.net
Vcs-Browser: http://git.debian.org/?p=users/mehdi/dochelp.git
Vcs-Git: git://git.debian.org/git/users/mehdi/dochelp.git

Package: dochelp
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 libjs-jquery,
 ${misc:Depends}
Enhances:
 doc-base
Description: Utility to browse system documentation
 This package contains an utility to browse documentation installed on
 a Debian system. The utility has a command-line interface and can be
 used to search, open and display information of doc-base registered
 documents. It also generates an HTML catalog of the available documents
 each time a package registers a new one.

## dochelp 0.1.2build1

=== debian/changelog ===
dochelp (0.1.2build1) utopic; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Sep 2014 13:34:51 +0100

## dochelp 0.1.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ############################################################################
-#  Copyright © 2012-2014 Mehdi Dogguy <mehdi@debian.org>                   #
+#  Copyright © 2012-2015 Mehdi Dogguy <mehdi@debian.org>                   #
 #                                                                          #
 #  This file is part of Dochelp.                                           #
 #                                                                          #

=== debian/changelog ===
dochelp (0.1.3) unstable; urgency=medium

  * Make dochelp have subcommands
  * Update copyright years
  * Fix Zsh completion file (Closes: #773292)
  * Remove /var/lib/dochelp in prerm (Closes: #769772)
  * Port to tyxml 3.5
  * Fix install target in Makefile

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 16:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  ocaml-findlib,
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev,
- libtyxml-ocaml-dev (>= 2.1-1~),
+ libtyxml-ocaml-dev (>= 3.5~),
+ libcmdliner-ocaml-dev,
  ocaml-nox (>= 3.11.1-3~)
 Standards-Version: 3.9.3
 Section: doc

## dochelp 0.1.3build1

=== debian/changelog ===
dochelp (0.1.3build1) yakkety; urgency=medium

  * No-change rebuild for ocaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:12:51 +0000

## dochelp 0.1.3ubuntu0.1

=== debian/changelog ===
dochelp (0.1.3ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) - packages registering docs
    with doc-base really should not have to wait for dochelp to be configured.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Jul 2018 17:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: dochelp
 Priority: optional
-Maintainer: Mehdi Dogguy <mehdi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9.6~),

## dochelp 0.1.4

=== debian/changelog ===
dochelp (0.1.4) unstable; urgency=medium

  * Fix a copy/paste error
  * Automatically retrieve version number from d/changelog
  * Install Zsh completion file in /usr/share/zsh/vendor-completions
    (Closes: #843578)
  * Minor fix in debian/gbp.conf file
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.8, no changes required
  * Use canonical and secure URIs for Vcs-{Browser,Git} fields
  * Install dochelp's manpage

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 01 Jan 2017 16:34:15 +0100

## dochelp 0.1.5

=== debian/changelog ===
dochelp (0.1.5) unstable; urgency=medium

  * Use "interest-noawait" instead of "interest" in dochelp's dpkg
    trigger (Closes: #858918).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 30 Mar 2017 03:59:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: dochelp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mehdi Dogguy <mehdi@debian.org>
+Maintainer: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9.6~),
  ocaml-findlib,
  libpcre-ocaml-dev,
@@ -11,11 +10,11 @@
  libtyxml-ocaml-dev (>= 3.5~),
  libcmdliner-ocaml-dev,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Section: doc
 Homepage: http://dochelp.debian.net
-Vcs-Browser: http://git.debian.org/?p=users/mehdi/dochelp.git
-Vcs-Git: git://git.debian.org/git/users/mehdi/dochelp.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/dochelp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dochelp.git
 
 Package: dochelp
 Architecture: any

## dochelp 0.1.6

=== debian/changelog ===
dochelp (0.1.6) unstable; urgency=medium

  * Use built-in ocamlfind support of ocamlbuild
  * Add ocamlbuild as a build dependency (Closes: #870036)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 09 Aug 2017 18:33:47 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9.6~),
+ ocamlbuild,
  ocaml-findlib,
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev,

## dochelp 0.1.7

=== debian/changelog ===
dochelp (0.1.7) unstable; urgency=medium

  * Port to Tyxml 4.1
  * Use String.lowercase_ascii instead of String.lowercase
  * Update Vcs-* fields

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 21 May 2018 18:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  ocaml-findlib,
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev,
- libtyxml-ocaml-dev (>= 3.5~),
+ libtyxml-ocaml-dev (>= 4.1~),
  libcmdliner-ocaml-dev,
  ocaml-nox (>= 3.11.1-3~)
 Standards-Version: 3.9.8
 Section: doc
 Homepage: http://dochelp.debian.net
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/dochelp.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dochelp.git
+Vcs-Browser: https://salsa.debian.org/debian/dochelp
+Vcs-Git: https://salsa.debian.org/debian/dochelp.git
 
 Package: dochelp
 Architecture: any

## dochelp 0.1.7build1

=== debian/changelog ===
dochelp (0.1.7build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Aug 2020 21:06:14 +0200

## dochelp 0.1.7+nmu1

=== debian/changelog ===
dochelp (0.1.7+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:25:26 +0800

## dochelp 0.1.8

=== Makefile ===
--- 
+++ 
@@ -46,16 +46,20 @@
 # Installation
 BINDIR := $(PREFIX)/bin
 
-all: build
+all: build man
 
 build:
 	$(OCAMLBUILD_ENV) $(OCAMLBUILD) $(TARGETS)
+
+man: build
+	./$(NAME).$(ARCH) --help=groff > $(NAME).1
 
 typerex: OCAMLBUILD_ENV := OCAMLFIND_COMMANDS='ocamlc=ocp-ocamlc ocamlopt=ocp-ocamlopt'
 typerex: build
 
 clean:
 	$(OCAMLBUILD) -clean
+	-rm $(NAME).1
 
 headers:
 	headache -r -c .headache/config -h .headache/header Makefile \

=== debian/changelog ===
dochelp (0.1.8) unstable; urgency=medium

  * Use Tyxml.Html.txt instead of (deprecated) Tyxml.Html.pcdata
  * Catch exception Exit when calling Document.read
  * Handle cases where empty line is missing after Document definition
  * Add an icon for dochelp
  * Fix syntax in debian/copyright
  * Use Re.Pcre instead of Pcre
  * Set homepage to https://salsa.debian.org/debian/dochelp
  * Bump DH compat to 10
  * Add a dependency on sensible-utils
  * Add "Rules-Requires-Root: no" to d/control

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 23 Jan 2021 23:02:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
  dh-ocaml (>= 0.9.6~),
  ocamlbuild,
  ocaml-findlib,
- libpcre-ocaml-dev,
+ libre-ocaml-dev,
  libfileutils-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.1~),
  libcmdliner-ocaml-dev,
  ocaml-nox (>= 3.11.1-3~)
 Standards-Version: 3.9.8
 Section: doc
-Homepage: http://dochelp.debian.net
+Homepage: https://salsa.debian.org/debian/dochelp
 Vcs-Browser: https://salsa.debian.org/debian/dochelp
 Vcs-Git: https://salsa.debian.org/debian/dochelp.git
+Rules-Requires-Root: no
 
 Package: dochelp
 Architecture: any
@@ -23,6 +24,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  libjs-jquery,
+ sensible-utils,
  ${misc:Depends}
 Enhances:
  doc-base

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

export DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	$(MAKE) install PREFIX=$(DESTDIR)/usr DESTDIR=$(DESTDIR)

## dochelp 0.1.8build1

=== debian/changelog ===
dochelp (0.1.8build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 25 Nov 2025 19:27:40 +0000

## dochelp 0.1.8build2

=== debian/changelog ===
dochelp (0.1.8build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 00:32:00 +0100

## dochelp 0.1.8+nmu1

=== debian/changelog ===
dochelp (0.1.8+nmu1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Non-maintainer upload
  * Build-Depend on ocaml instead of ocaml-nox (Closes: #1125095)
  * Bump Standards-Version to 4.7.3
  * Remove Rules-Requires-Root and Priority

  [ Debian Janitor ]
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Jan 2026 13:54:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dochelp
-Priority: optional
 Maintainer: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-ocaml (>= 0.9.6~),
  ocamlbuild,
  ocaml-findlib,
@@ -10,13 +9,12 @@
  libfileutils-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.1~),
  libcmdliner-ocaml-dev,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.8
+ ocaml
+Standards-Version: 4.7.3
 Section: doc
 Homepage: https://salsa.debian.org/debian/dochelp
 Vcs-Browser: https://salsa.debian.org/debian/dochelp
 Vcs-Git: https://salsa.debian.org/debian/dochelp.git
-Rules-Requires-Root: no
 
 Package: dochelp
 Architecture: any
